cascading.flow.hadoop.util

## Class TimedIterator<V>

- java.lang.Object
- - cascading.flow.hadoop.util.TimedIterator<V>

- All Implemented Interfaces:
    CloseableIterator<V>, Closeable, AutoCloseable, Iterator<V>

      public class TimedIterator<V>
      extends Object
      implements CloseableIterator<V>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimedIterator(FlowProcess flowProcess, Enum durationCounter, Enum countCounter)`
    `TimedIterator(FlowProcess flowProcess, Enum durationCounter, Enum countCounter, int ordinal)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `hasNext()`
    `static <V> TimedIterator<V>[]` | `iterators(TimedIterator<V>... iterators)`
    `V` | `next()`
    `void` | `remove()`
    `void` | `reset(Iterable<V> iterable)`
    `void` | `reset(Iterator<V> iterator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimedIterator

          public TimedIterator(FlowProcess flowProcess,
                       Enum durationCounter,
                       Enum countCounter)

    - #### TimedIterator

          public TimedIterator(FlowProcess flowProcess,
                       Enum durationCounter,
                       Enum countCounter,
                       int ordinal)

  - ### Method Detail

    - #### iterators

          public static <V> TimedIterator<V>[] iterators(TimedIterator<V>... iterators)

    - #### reset

          public void reset(Iterable<V> iterable)

    - #### reset

          public void reset(Iterator<V> iterator)

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<V>`

    - #### next

          public V next()

      Specified by:
        `next` in interface `Iterator<V>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<V>`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.